<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE system [
 <!ENTITY IND "1">
 <!ENTITY OILTANK_IND "15">
 <!ENTITY CONTACT_IND "25">
 <!ENTITY U "propulsion/engine[&IND;]">
 <!ENTITY OILTANK "propulsion/tank[&OILTANK_IND;]">
 <!ENTITY CONTACT "gear/unit[&CONTACT_IND;]">
]>

<system name="Tu-144D engine: RD-36-51A">

 <!-- FIXME Temporary -->
 <property value="&IND;">&U;/index</property>
 <property>&U;/panel/lever/reverser/pos-deg</property>
 <property>&U;/throttle/reverser-deg</property>
 <property>&U;/reverser/pos-deg</property>


 <!-- XXX Before implementing NK-144, make as much code as possible shared. -->
 <!-- FIXME Make electrical generator and pump consume fuel. -->

 <property>&U;/panel/lever/throttle/pilot-deg</property>
 <property>&U;/panel/lever/throttle/IMAT-enabled</property>
 <property>&U;/panel/lever/throttle/IMAT-deg_sec</property>

 <property value="1">&U;/panel/lever/cutoff</property>
 <property>&U;/panel/switch/fuel</property>
 <!-- -1: reconnect, 0: neutral, 1: disconnect -->
 <property>&U;/panel/switch/CSD-disconnect</property>
 <property value="1">&U;/panel/switch/instrumentation</property>
 <property>&U;/panel/button/relight</property>


 <channel name="Throttle">

  <fcs_function name="&U;/throttle/func/pilot-diff">
   <function>
    <product>
     <difference>
      <p>&U;/panel/lever/throttle/pilot-deg</p>
      <p>&U;/panel/lever/throttle/pos-deg</p>
     </difference>
     <v>10.0</v>
    </product>
   </function>
  </fcs_function>

  <switch name="&U;/throttle/input-deg_sec">
   <default value="&U;/throttle/func/pilot-diff"/>
   <test value="&U;/panel/lever/throttle/IMAT-deg_sec">
    &U;/panel/lever/throttle/IMAT-enabled NE 0
   </test>
  </switch>

  <summer name="&U;/throttle/c1-max">
   <bias>90.0</bias>
   <input>-&U;/panel/lever/throttle/pos-deg</input>
  </summer>

  <switch name="&U;/throttle/c1">
   <default value="&U;/throttle/c1-max"/>
   <test value="0.0">
    propulsion/panel/lever/throttle-lock NE 0
   </test>
   <test value="&U;/panel/lever/throttle/pos-deg">
    &U;/throttle/input-deg_sec LT 0.0
   </test>
   <clipto>
    <min>0.0</min>
    <max>1.0</max>
   </clipto>
  </switch>

  <integrator name="&U;/panel/lever/throttle/pos-deg">
   <input>&U;/throttle/input-deg_sec</input>
   <c1>&U;/throttle/c1</c1>
   <clipto>
    <min>0.0</min>
    <max>90.0</max>
   </clipto>
  </integrator>

  <switch name="&U;/throttle/throttle-deg">
   <default value="&U;/panel/lever/throttle/pos-deg"/>
   <test value="&U;/throttle/reverser-deg">
    &U;/panel/lever/throttle/pos-deg LT 0.1
   </test>
  </switch>

 </channel>


 <channel name="Startup" execrate="4">

  <switch name="&U;/starter">
   <output>propulsion/air/APD/starter[&IND;]</output>
   <default value="&U;/starter"/>
   <test logic="OR" value="0">
    &U;/status/standby EQ 0
    &U;/bleed/power-norm LT 0.75
    &U;/set-running NE 0
    &U;/startup/abort NE 0
   </test>
   <!-- Dry motoring stop. -->
   <test logic="AND" value="0">
    &U;/ignition EQ 0
    &U;/n2-mechanical GE 17.0
   </test>
   <!-- Startup failure. -->
   <test logic="AND" value="0">
    &U;/cutoff NE 0
    &U;/n2 GE 25.0
   </test>
   <test value="1">
    &U;/startup/start NE 0
   </test>
  </switch>

  <switch name="&U;/ignition">
   <default value="&U;/ignition"/>
   <test value="1">
    &U;/set-running NE 0
   </test>
   <test logic="AND" value="systems/elec/AC36-reserve[0]/U-ok">
    &U;/startup/ignition NE 0
    &U;/startup/start NE 0
   </test>
  </switch>

  <switch name="&U;/relight">
   <default value="&U;/relight"/>
   <test logic="OR" value="0">
    &U;/status/standby EQ 0
    &U;/set-running NE 0
    &U;/n2-mechanical LT 15.0
    systems/elec/AC36-reserve[0]/U-ok EQ 0
    &U;/func/relight-sec GT 60.0
   </test>
   <test logic="AND" value="1">
    &U;/panel/button/relight NE 0
   </test>
  </switch>

  <switch name="&U;/func/relight-start-sec">
   <default value="simulation/sim-time-sec"/>
   <test value="&U;/func/relight-start-sec">
    &U;/relight NE 0
   </test>
  </switch>

  <summer name="&U;/func/relight-sec">
   <input>simulation/sim-time-sec</input>
   <input>-&U;/func/relight-start-sec</input>
  </summer>

  <switch name="&U;/cutoff">
   <default value="&U;/cutoff"/>
   <test value="0">
    simulation/init-hotstart-engines NE 0
   </test>
   <test value="1">
    &U;/n2 LT 15.0
   </test>
   <test logic="OR" value="1">
    &U;/panel/lever/cutoff NE 0
    &U;/ignition EQ 0
    &U;/fuel/pressure-kgf_cm2 LT 1.0
   </test>
   <test logic="AND" value="0">
    &U;/starter NE 0
    &U;/status/standby NE 0
   </test>
   <test logic="AND" value="0">
    &U;/relight NE 0
    &U;/status/standby NE 0
   </test>
<!--
   <test logic="OR" value="1">
    &U;/set-running EQ 0
    &U;/compressor-stall-norm EQ 1.0
   </test>
-->
  </switch>

 </channel>


 <channel name="Inlet communication" execrate="2">

  <pure_gain name="propulsion/inlet[&IND;]/n2">
   <gain>1.0</gain>
   <input>&U;/n2</input>
  </pure_gain>

 </channel>


 <channel name="Functions" execrate="2">

  <!-- Hack to make TSFC vary and fuel flow stop lagging. -->
  <fcs_function name="&U;/fuel-flow-rate-tsfc_hack-pps">
   <function>
    <difference>
     <product>
      <abs>
       <p>&U;/thrust-lbs</p>
      </abs>
      <p>&U;/tsfc_hack</p>
      <!-- = 1 / 3600 -->
      <v>0.00027777777777777777</v>
     </product>
     <!--
      JSBBUG Built-in fuel-flow-rate-pps is some magic unicorns,
      JSBBUG simply setting tsfc=0 won't make it stop, so we just
      JSBBUG subtract it here.
      -->
     <p>&U;/fuel-flow-rate-pps</p>
    </difference>
   </function>
  </fcs_function>

  <fcs_function name="&U;/fuel-flow-rate-t_h">
   <function>
    <product>
     <sum>
      <p>&U;/fuel-flow-rate-pps</p>
      <p>&U;/fuel-flow-rate-tsfc_hack-pps</p>
     </sum>
     <!-- = 0.453592 * 3600 / 1000 -->
     <v>1.633</v>
    </product>
   </function>
  </fcs_function>

  <!-- TODO Add a bit of first derivative. -->

  <fcs_function name="&U;/n2-mechanical-theoretical">
   <!-- Inverse of referred speed that JSBSim uses. -->
   <!-- Referred speed N_r = N \sqrt{\frac{T_0}{T}}, T_0 = 288 K [Bliznyuk p. 126]-->
   <function>
    <product>
     <p>&U;/n2</p>
     <sqrt>
      <quotient>
       <max>
        <p>&U;/inlet-air-temp-K</p>
        <v>1</v>
       </max>
       <v>288</v>
      </quotient>
     </sqrt>
    </product>
   </function>
  </fcs_function>

  <fcs_function name="&U;/n2-mechanical-limited">
   <function>
    <min>
     <p>&U;/n2-mechanical-theoretical</p>
     <table><!-- RPM drop (due to turbine cooling?) -->
      <independentVar lookup="row">&U;/inlet-air-temp-degC</independentVar>
      <independentVar lookup="column">&U;/n2</independentVar>
      <tableData>
		40.0	90.0
	54.999	500.0	500.0
	55.0	45.5	95.5
	160.0	43.5	93.5
      </tableData>
     </table>
    </min>
   </function>
  </fcs_function>

  <!-- TODO Effect of bypass, bleed, turbine cooling and stall. -->
  <lag_filter name="&U;/n2-mechanical">
   <output>&U;/panel/gauge/n</output>
   <c1>5</c1>
   <input>&U;/n2-mechanical-limited</input>
  </lag_filter>

  <fcs_function name="&U;/capacity-norm">
   <function>
    <product>
     <p>&U;/inlet-efficiency-norm</p>
     <quotient>
      <p>&U;/n2-mechanical-limited</p>
       <max>
        <p>&U;/n2-mechanical-theoretical</p>
        <v>0.0001</v>
       </max>
     </quotient>
     <table>
      <independentVar lookup="row">&U;/reverser/pos-deg</independentVar>
      <independentVar lookup="column">&U;/n2</independentVar>
      <independentVar lookup="table">velocities/mach</independentVar>
      <tableData breakPoint="0.0">
		40.0	90.0
	90.0	1.0	1.0
	135.0	1.0	0.0
      </tableData>
      <tableData breakPoint="0.04">
		40.0	90.0
	90.0	1.0	1.0
	135.0	1.0	1.0
      </tableData>
     </table>

    </product>
   </function>
  </fcs_function>

  <fcs_function name="&U;/compressor-stall-norm">
   <function>
    <table>
     <independentVar lookup="row">&U;/capacity-norm</independentVar>
     <independentVar lookup="column">&U;/n2</independentVar>
     <tableData>
		40.0	90.0
	0.5	0.0	1.0
	0.75	0.0	0.5
	1.0	0.0	0.0
     </tableData>
    </table>
   </function>
  </fcs_function>

  <!-- TODO Add more resonances -->
  <fcs_function name="&U;/vibration-mm_s">
   <function>
    <table>
     <independentVar lookup="row">&U;/n2-mechanical</independentVar>
     <independentVar lookup="column">&U;/compressor-stall-norm</independentVar>
     <independentVar lookup="table">&U;/damage/damage-norm</independentVar>
     <tableData breakPoint="0.65">
		0.0	0.75	1.0
	0.0	0.0	0.0	0.0
	25.0	30.0	30.0	30.0
	30.0	95.0	95.0	95.0
	35.0	30.0	30.0	50.0
	95.5	25.0	25.0	150.0
     </tableData>
     <tableData breakPoint="1.0">
		0.0	0.75	1.0
	0.0	0.0	0.0	0.0
	25.0	30.0	30.0	30.0
	30.0	95.0	95.0	95.0
	35.0	100.0	150.0	200.0
	95.5	100.0	150.0	200.0
     </tableData>
    </table>
   </function>
  </fcs_function>

  <switch name="&U;/bypass-valves">
   <default value="1"/>
   <test value="0">
    &U;/n2 GE 58.1
   </test>
  </switch>

  <switch name="&U;/turbine-cooling">
   <default value="0"/>
   <test value="1">
    &U;/n2 GE 71.0
   </test>
  </switch>

  <pure_gain name="&U;/sound/compressor-pitch-vol">
   <input>&U;/n2-mechanical</input>
   <gain>0.01047</gain><!-- = 1 / 95.5 -->
  </pure_gain>

  <fcs_function name="&U;/thrust-norm">
   <function>
    <product>
     <abs>
      <p>&U;/thrust-lbs</p>
     </abs>
     <v>0.00002267959403526676</v><!-- = 1 / milthrust = 1 / 44092.5, see engine file -->
    </product>
   </function>
  </fcs_function>

  <fcs_function name="&U;/thrust-relative-norm">
   <function>
    <quotient>
     <p>&U;/thrust-norm</p>
     <max>
      <p>&U;/MilThrust</p>
      <v>0.01</v>
     </max>
    </quotient>
   </function>
   <clipto>
    <min>0.0</min>
    <max>1.0</max>
   </clipto>
  </fcs_function>

  <fcs_function name="&U;/sound/exhaust-vol">
   <function>
    <product>
     <p>&U;/thrust-norm</p>
    <table>
     <independentVar lookup="row">&U;/status/noise-abatement</independentVar>
     <tableData>
	0	1.0
	1	0.5
     </tableData>
    </table>
    </product>
   </function>
  </fcs_function>

  <fcs_function name="&U;/sound/starter-vol">
   <function>
    <product>
     <p>&U;/starter</p>
     <table>
      <independentVar lookup="row">&U;/n2-mechanical</independentVar>
      <tableData>
	0.0	0.0
	1.0	1.0
	20.0	0.0
      </tableData>
     </table>
    </product>
   </function>
  </fcs_function>

  <fcs_function name="&U;/sound/starter-pitch">
   <function>
    <table>
     <independentVar lookup="row">&U;/n2-mechanical</independentVar>
     <tableData>
	0.0	0.0
	1.0	1.0
	20.0	0.75
     </tableData>
    </table>
   </function>
  </fcs_function>

 </channel>


 <channel name="Accessory drive" execrate="4">

  <!-- Коробка самолётных агрегатов (КСА) -->

  <fcs_function name="&U;/accessory/func/n-without-APU-norm">
   <function>
    <product>
     <not><p>&U;/starter</p></not>
     <not><p>&U;/relight</p></not>
     <table>
      <independentVar lookup="row">&U;/n2-mechanical</independentVar>
      <tableData>
        0.0     0.0
        30.0    95.5
        95.5    95.6
        100.0   95.9
      </tableData>
     </table>
     <!-- = 1 / 95.9 -->
     <v>0.01042752867570385818</v>
    </product>
   </function>
   <clipto>
    <min>0.0</min>
    <max>1.0</max>
   </clipto>
  </fcs_function>

  <fcs_function name="&U;/accessory/n-norm">
   <function>
    <max>
     <p>&U;/accessory/func/n-without-APU-norm</p>
     <p>propulsion/engine[4]/accessory/KSA-n-norm</p>
     <p>propulsion/air/source/APU_ASU/ASU-attached</p>
    </max>
   </function>
  </fcs_function>

  <pure_gain name="&U;/panel/gauge/accessory-n">
   <input>&U;/accessory/n-norm</input>
   <gain>95.9</gain>
  </pure_gain>

  <switch name="&U;/accessory/CSD-connected">
   <default value="&U;/accessory/CSD-connected"/>
   <test logic="OR" value="1">
    simulation/init NE 0
    simulation/repair NE 0
   </test>
   <test logic="AND" value="1">
    &U;/status/standby NE 0
    &U;/panel/switch/CSD-disconnect EQ -1
   </test>
   <test logic="AND" value="0">
    &U;/status/standby NE 0
    &U;/panel/switch/CSD-disconnect EQ 1
   </test>
  </switch>

  <pure_gain name="&U;/accessory/CSD-n-norm">
   <!-- SIC Only power electric gens from main engine. -->
   <input>&U;/accessory/func/n-without-APU-norm</input>
   <gain>&U;/accessory/CSD-connected</gain>
  </pure_gain>

 </channel>


 <channel name="Nozzle" execrate="4">

  <fcs_function name="&U;/nozzle/target-deg">
   <function>
    <table>
     <independentVar lookup="row">&U;/n2</independentVar>
     <independentVar lookup="column">&U;/reverser/pos-deg</independentVar>
     <tableData>
		1.0	10.0
	59.4	105.0	105.0
	71.0	20.0	105.0
	95.5	0.0	105.0
     </tableData>
    </table>
   </function>
  </fcs_function>

  <lag_filter name="&U;/nozzle/pos-deg">
   <input>&U;/nozzle/target-deg</input>
   <c1>5</c1>
  </lag_filter>

  <aerosurface_scale name="&U;/nozzle/pos-norm">
   <input>&U;/nozzle/pos-deg</input>
   <domain><min>0.0</min><max>105.0</max></domain>
   <range><min>0.0</min><max>1.0</max></range>
  </aerosurface_scale>

 </channel>


 <channel name="Status" execrate="4">

  <switch name="&U;/status/standby">
   <output>propulsion/air/APD/standby[&IND;]</output>
   <default value="systems/elec/DC27-reserve/U-ok"/>
  </switch>

  <switch name="&U;/status/on">
   <default value="&U;/panel/switch/instrumentation"/>
   <test value="0">
    systems/elec/DC27/U-ok EQ 0
   </test>
  </switch>

  <switch name="&U;/status/noise-abatement">
   <default value="propulsion/panel/switch/noise-abatement"/>
   <test logic="OR" value="0">
    &U;/status/standby EQ 0
    &U;/reverser/pos-deg GT 1.0
   </test>
  </switch>

 </channel>


 <channel name="Electric consumers" execrate="4">

  <pure_gain name="&U;/elec/DC27-reserve-A">
   <input>systems/elec/DC27-reserve/U-V</input>
   <!-- 20 W -->
   <gain>0.027</gain>
  </pure_gain>

  <fcs_function name="&U;/elec/DC27-A">
   <function>
    <product>
     <p>&U;/panel/switch/instrumentation</p>
     <p>systems/elec/DC27/U-V</p>
     <!-- 80 W -->
     <v>0.110</v>
    </product>
   </function>
  </fcs_function>

  <!-- Трансформатор зажигания ТСЗ-0,75 -->
  <fcs_function name="&U;/elec/AC36-reserve-A">
   <function>
    <product>
     <p>systems/elec/AC36-reserve[0]/U-V</p>
     <or>
      <p>&U;/starter</p>
      <p>&U;/relight</p>
     </or>
     <gt>
      <p>&U;/n2-mechanical</p>
      <v>17.0</v>
     </gt>
     <lt>
      <p>&U;/n2-mechanical</p>
      <v>25.0</v>
     </lt>
     <!-- 0.75 A -->
     <v>0.0208</v>
    </product>
   </function>
  </fcs_function>

 </channel>


 <channel name="Bleed" execrate="4">

  <fcs_function name="&U;/bleed/source/capacity-norm">
   <output>propulsion/air/source/engine[&IND;]/capacity-norm</output>
   <function>
    <table>
     <independentVar lookup="row">&U;/n2</independentVar>
     <tableData>
	0.0	0.0
	40.0	1.0
	53.0	2.0
     </tableData>
    </table>
   </function>
  </fcs_function>

 </channel>


 <channel name="EGT" execrate="4">

  <fcs_function name="&U;/egt/running-degC">
   <function>
    <sum>
     <!-- SIC Dry motoring already accounted for: the table is zero for its RPM (~25%) -->
     <table>
      <independentVar lookup="row">&U;/n2-mechanical</independentVar>
      <tableData>
	28.0	645.0
        36.0    445.0
        95.5    890.0
      </tableData>
     </table>
     <product>
      <p>&U;/bypass-valves</p>
      <v>15.0</v>
     </product>
     <product>
      <p>&U;/turbine-cooling</p>
      <v>30.0</v>
     </product>
     <product>
      <p>&U;/compressor-stall-norm</p>
      <v>100.0</v>
     </product>
    </sum>
   </function>
  </fcs_function>

  <switch name="&U;/egt/degC">
   <default value="&U;/inlet-air-temp-degC"/>
   <test logic="AND" value="&U;/egt/running-degC">
    &U;/set-running NE 0
    &U;/n2-mechanical GE 28.0
   </test>
   <test logic="AND" value="&U;/egt/running-degC">
    &U;/starter NE 0
    &U;/n2-mechanical GE 28.0
   </test>
  </switch>

 </channel>


 <channel name="Oil" execrate="4">

  <!-- Oil-fuel heat exchanger. -->
  <fcs_function name="&U;/oil/temp-TMR-degC">
   <function>
    <max>
     <p>&U;/inlet-air-temp-degC</p>
     <product>
      <p>&U;/set-running</p>
      <table>
       <independentVar lookup="row">&U;/n2</independentVar>
       <independentVar lookup="column">velocities/mach</independentVar>
       <tableData>
	0.0	2.3
0.0	0.0	0.0
40.0	75.0	165.0
90.0	110.0	155.0
       </tableData>
      </table>
     </product>
    </max>
   </function>
  </fcs_function>

  <switch name="&U;/oil/func/temp-c1">
   <default value="0.01"/>
   <test value="1.0">
    simulation/init NE 0
   </test>
  </switch>

  <lag_filter name="&U;/oil/temp-degC">
   <input>&U;/oil/temp-TMR-degC</input>
   <c1>&U;/oil/func/temp-c1</c1>
  </lag_filter>

  <fcs_function name="&U;/oil/func/burn_n-l_s">
   <function>
    <table>
     <independentVar lookup="row">&U;/n2-mechanical</independentVar>
     <independentVar lookup="column">&U;/set-running</independentVar>
     <independentVar lookup="table">&U;/damage/damage-norm</independentVar>
     <tableData breakPoint = "0.0">
		0	1
	0.0	0.0	0.0
	100.0	0.0000417	0.000417
     </tableData>
     <tableData breakPoint = "0.5">
		0	1
	0.0	0.0	0.0
	100.0	0.0000834	0.000834
     </tableData>
     <tableData breakPoint = "0.85">
		0	1
	0.0	0.0	0.0
	100.0	0.000417	0.00417
     </tableData>
     <tableData breakPoint = "0.9">
		0	1
	0.0	0.0417	0.0417
	100.0	0.0417	0.417
     </tableData>
    </table>
   </function>
  </fcs_function>

  <summer name="&U;/oil/fill/error-l">
   <bias>23.0</bias>
   <input>-&OILTANK;/contents-l</input>
  </summer>

  <switch name="&U;/oil/burn-l_s">
   <default value="&U;/oil/func/burn_n-l_s"/>
   <test value="-&U;/oil/fill/error-l">
    simulation/refill NE 0
   </test>
  </switch>

  <!-- TODO Convert l_s to pps in the file. -->
  <pure_gain name="&OILTANK;/external-flow-rate-pps_">
   <output>&OILTANK;/external-flow-rate-pps</output>
   <input>&U;/oil/burn-l_s</input>
   <!-- ВНИИ-НП-50-1-4Ф oil: standard 0.926 kg/l, mean 0.924 kg/l -->
   <!-- = -2.2046226 * 0.924 -->
   <gain>-2.0370712824</gain>
  </pure_gain>

  <fcs_function name="&U;/oil/pressure-kgf_cm2">
   <function>
    <sum>
     <table>
      <independentVar lookup="row">&U;/n2-mechanical</independentVar>
      <independentVar lookup="column">&OILTANK;/contents-l</independentVar>
      <tableData>
		0.0	10.0
	0.0	0.0	0.00
	30.0	0.0	3.10
	95.5	0.0	5.0
      </tableData>
     </table>
     <!-- Change with acceleration: ~ 1 kgf/g. -->
     <p>accelerations/Nz</p>
     <v>-1.0</v>
    </sum>
   </function>
   <clipto>
    <min>0.0</min>
    <max>20.0</max>
   </clipto>
  </fcs_function>

  <switch name="&U;/seized_">
   <!-- SIC Else won't convert to bool. -->
   <output>&U;/seized</output>
   <default value="0"/>
   <test logic="OR" value="1">
    &OILTANK;/contents-l LT 0.1
    &U;/damage/structural NE 0
   </test>
  </switch>

 </channel>


 <channel name="Gauges" execrate="4">

  <switch name="&U;/panel/gauge/egt-degC">
   <default value="&U;/egt/degC"/>
   <test logic="OR" value="0.0">
    &U;/status/on EQ 0
    &U;/damage/structural NE 0
   </test>
   <test value="1000.0">
    propulsion/engine[0]/panel/button/test-UT NE 0
   </test>
  </switch>

  <pure_gain name="propulsion/instr/UIZ/oil-pressure-kgf_cm2[&IND;]">
   <input>&U;/oil/pressure-kgf_cm2</input>
   <gain>&U;/status/on</gain>
  </pure_gain>

  <pure_gain name="propulsion/instr/UIZ/oil-temp-degC[&IND;]">
   <input>&U;/oil/temp-degC</input>
   <gain>&U;/status/on</gain>
  </pure_gain>

  <switch name="&U;/panel/gauge/nozzle-pos-deg">
   <default value="&U;/nozzle/pos-deg"/>
   <test logic="AND" value="&U;/panel/gauge/nozzle-pos-deg">
    &U;/status/on EQ 0
    simulation/init EQ 0
   </test>
  </switch>

  <switch name="&U;/panel/gauge/throttle-pos-deg">
   <default value="&U;/panel/lever/throttle/pos-deg"/>
   <test value="&U;/panel/gauge/throttle-pos-deg">
    &U;/status/standby EQ 0
   </test>
   <test value="-&U;/panel/lever/reverser/pos-deg">
    &U;/panel/lever/throttle/pos-deg LT 0.1
   </test>
  </switch>

  <switch name="&U;/panel/gauge/oil-kg">
   <default value="&OILTANK;/contents-l"/>
   <test logic="AND" value="&U;/panel/gauge/oil-kg">
    &U;/status/on EQ 0
    simulation/init EQ 0
   </test>
  </switch>

 </channel>


 <channel name="Lights" execrate="4">

  <switch name="&U;/panel/light/cutoff">
   <default value="0"/>
   <test logic="OR" value="&U;/status/standby">
    &U;/panel/lever/cutoff NE 0
    propulsion/engine[0]/panel/button/test-lights NE 0
   </test>
  </switch>

  <switch name="&U;/panel/light/relight">
   <default value="0"/>
   <test logic="OR" value="&U;/status/standby">
    &U;/relight NE 0
    propulsion/engine[0]/panel/button/test-lights NE 0
   </test>
  </switch>

  <switch name="&U;/panel/light/stall-protection">
   <default value="0"/>
   <test value="&U;/status/on">
    propulsion/engine[0]/panel/button/test-lights NE 0
   </test>
  </switch>

  <switch name="&U;/panel/light/oil-low">
   <default value="0"/>
   <test value="&U;/status/on">
    &OILTANK;/contents-l LT 10.0
   </test>
   <test value="&U;/status/on">
    propulsion/engine[0]/panel/button/test-lights NE 0
   </test>
  </switch>

  <switch name="&U;/panel/light/oil-high">
   <default value="0"/>
   <test value="&U;/status/on">
    &OILTANK;/contents-l GT 33.0
   </test>
   <test value="&U;/status/on">
    propulsion/engine[0]/panel/button/test-lights NE 0
   </test>
  </switch>

  <switch name="&U;/panel/light/oil-debris">
   <default value="0"/>
   <test value="&U;/status/on">
    &U;/damage/damage-norm GT 0.35
   </test>
   <test value="&U;/status/on">
    propulsion/engine[0]/panel/button/test-lights NE 0
   </test>
  </switch>

  <switch name="&U;/panel/light/stall">
   <default value="0"/>
   <test value="&U;/status/on">
    &U;/compressor-stall-norm GE 0.5
   </test>
   <test value="&U;/status/on">
    propulsion/engine[0]/panel/button/test-lights NE 0
   </test>
  </switch>

  <switch name="&U;/panel/light/vibration">
   <default value="0"/>
   <test value="&U;/status/on">
    &U;/vibration-mm_s GE 40.0
   </test>
   <test value="&U;/status/on">
    propulsion/engine[0]/panel/button/test-lights NE 0
   </test>
  </switch>

  <switch name="&U;/panel/light/EGT-critical">
   <default value="0"/>
   <test value="&U;/status/on">
    &U;/egt/degC GE 930.0
   </test>
   <test logic="AND" value="&U;/status/on">
    &U;/turbine-cooling EQ 0
    &U;/egt/degC GE 790.0
   </test>
   <test logic="AND" value="&U;/status/on">
    &U;/starter NE 0
    &U;/egt/degC GE 700.0
   </test>
   <test value="&U;/status/on">
    propulsion/engine[0]/panel/button/test-lights NE 0
   </test>
  </switch>

  <switch name="&U;/panel/light/P-fuel">
   <default value="0"/>
   <test logic="OR" value="&U;/status/standby">
    &U;/fuel/pressure-kgf_cm2 LT 3.0
    propulsion/engine[0]/panel/button/test-lights NE 0
   </test>
  </switch>

  <switch name="&U;/panel/light/fault">
   <default value="0"/>
   <test logic="OR" value="&U;/status/standby">
    &U;/set-running EQ 0
    propulsion/engine[0]/panel/button/test-lights NE 0
   </test>
  </switch>

  <switch name="&U;/panel/light/P-oil">
   <default value="0"/>
   <test value="&U;/status/on">
    &U;/oil/pressure-kgf_cm2 LT 3.0
   </test>
   <test value="&U;/status/on">
    propulsion/engine[0]/panel/button/test-lights NE 0
   </test>
  </switch>

  <switch name="&U;/panel/light/P-oil-KSA">
   <default value="0"/>
   <test value="&U;/status/on">
    &U;/accessory/n-norm LT 0.25
   </test>
   <test value="&U;/status/on">
    propulsion/engine[0]/panel/button/test-lights NE 0
   </test>
  </switch>

  <switch name="&U;/panel/light/RNA-closed">
   <default value="0"/>
   <test value="&U;/status/on">
    &U;/n2 LT 51.6
   </test>
   <test value="&U;/status/on">
    propulsion/engine[0]/panel/button/test-lights NE 0
   </test>
  </switch>

  <switch name="&U;/panel/light/bypass-valves">
   <default value="0"/>
   <test value="&U;/status/on">
    &U;/bypass-valves NE 0
   </test>
   <test value="&U;/status/on">
    propulsion/engine[0]/panel/button/test-lights NE 0
   </test>
  </switch>

  <switch name="&U;/panel/light/turbine-uncooled">
   <default value="0"/>
   <test value="&U;/status/on">
    &U;/turbine-cooling EQ 0
   </test>
   <test value="&U;/status/on">
    propulsion/engine[0]/panel/button/test-lights NE 0
   </test>
  </switch>

  <switch name="&U;/panel/light/check-engine">
   <default value="0"/>
   <test logic="OR" value="1">
    &U;/panel/light/stall-protection NE 0
    &U;/panel/light/stall NE 0
    &U;/panel/light/vibration NE 0
    &U;/panel/light/EGT-critical NE 0
    &U;/panel/light/P-fuel NE 0
    &U;/panel/light/fault NE 0
    &U;/panel/light/P-oil NE 0
    &U;/panel/light/P-oil-KSA NE 0
    propulsion/inlet[&IND;]/panel/light/inop NE 0
   </test>
  </switch>

  <switch name="&U;/panel/light/noise-abatement">
   <default value="&U;/status/noise-abatement"/>
   <test value="&U;/status/on">
    propulsion/engine[0]/panel/button/test-lights NE 0
   </test>
  </switch>

 </channel>


 <channel name="Damage" execrate="120">

  <fcs_function name="&U;/damage/func/c1_init-rsec">
   <function>
    <quotient>
     <v>1.0</v>
     <sum>
      <v>300.0</v>
      <product>
       <urandom/>
       <v>240.0</v>
      </product>
     </sum>
    </quotient>
   </function>
  </fcs_function>

  <switch name="&U;/damage/func/c1_init_latch-rsec">
   <default value="&U;/damage/func/c1_init_latch-rsec"/>
   <test logic="OR" value="&U;/damage/func/c1_init-rsec">
    simulation/repair NE 0
    simulation/init NE 0
   </test>
  </switch>

  <switch name="&U;/damage/func/c1-rsec">
   <default value="&U;/damage/func/c1_init_latch-rsec"/>
   <test value="1.0">
    simulation/repair NE 0
   </test>
  </switch>

  <fcs_function name="&U;/damage/func/input-norm">
   <function>
    <sum>
     <product>
      <max>
       <difference>
        <p>&U;/egt/degC</p>
        <v>930.0</v>
       </difference>
       <v>0.0</v>
      </max>
      <v>0.1</v>
     </product>
     <p>&U;/damage/fire</p>
    </sum>
   </function>
  </fcs_function>

  <switch name="&U;/damage/input-norm">
   <default value="&U;/damage/func/input-norm"/>
   <test logic="OR" value="-&U;/damage/damage-norm">
    simulation/repair NE 0
   </test>
   <test logic="AND" value="0.0">
    &U;/damage/func/input-norm GT 0.0
    &U;/damage/damage-norm GE 1.0
   </test>
   <test logic="AND" value="0.0">
    &U;/damage/func/input-norm LT 0.0
    &U;/damage/damage-norm LE 0.0
   </test>
  </switch>

  <integrator name="&U;/damage/damage-norm">
   <input>&U;/damage/input-norm</input>
   <c1>&U;/damage/func/c1-rsec</c1>
  </integrator>

  <switch name="&U;/damage/smoke">
   <default value="&U;/damage/smoke"/>
   <test logic="OR" value="0">
    simulation/repair NE 0
    &U;/damage/func/nofuel-sec GT 300.0
    &U;/fire/KSA-extinguishing NE 0
   </test>
   <test logic="AND" value="1">
    &U;/set-running NE 0
    &U;/damage/damage-norm GT 0.5
   </test>
   <test value="0">
    &U;/damage/func/input-norm LT 0.001
   </test>
   <test logic="AND" value="1">
    &U;/set-running NE 0
    &U;/damage/damage-norm GT 0.4
   </test>
  </switch>

  <switch name="&U;/damage/func/nofuel-start-sec">
   <default value="simulation/sim-time-sec"/>
   <test value="&U;/damage/func/nofuel-start-sec">
    &U;/fuel/pressure-kgf_cm2 LT 0.1
   </test>
  </switch>

  <summer name="&U;/damage/func/nofuel-sec">
   <input>simulation/sim-time-sec</input>
   <input>-&U;/damage/func/nofuel-start-sec</input>
  </summer>

  <switch name="&U;/damage/fire">
   <default value="&U;/damage/fire"/>
   <test logic="OR" value="0">
    simulation/repair NE 0
    &U;/damage/func/nofuel-sec GT 60.0
    &U;/fire/extinguishing NE 0
   </test>
   <test logic="AND" value="1">
    &U;/set-running NE 0
    &U;/damage/damage-norm GT 0.8
   </test>
   <test logic="AND" value="1">
    &U;/damage/func/input-norm GT 0.001
    &U;/set-running NE 0
    &U;/damage/damage-norm GT 0.7
   </test>
  </switch>

  <switch name="&U;/damage/structural">
   <default value="&U;/damage/structural"/>
   <test logic="OR" value="0">
    simulation/repair NE 0
    <!-- Because WOW of the contact point is true at startup.. -->
    simulation/init NE 0
   </test>
   <test value="1">
    systems/airframe/damage/break NE 0
   </test>
   <test logic="AND" value="1">
    &U;/thrust-norm GT 0.25
    &U;/damage/damage-norm GT 0.99
   </test>
   <test logic="AND" value="1">
    &U;/set-running NE 0
    &CONTACT;/WOW NE 0
   </test>
  </switch>

 </channel>


</system>
